package main;

import main.core.data.IGrid;
import main.core.data.IWufiData;
import main.core.data.factory.WufiDataFactory;

import javax.swing.*;
import javax.swing.filechooser.FileFilter;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.IOException;

/*
* @author veitner
* Date: Nov 14, 2011
* Time: 10:03:05 AM
*/

/**
 * $Id: Gui.java $
 */
public class Gui extends JFrame {
    
   public Gui() {
       super("sample");
       JPanel p=new JPanel();
       final JTextField te = new JTextField();
       te.setMinimumSize(new Dimension(180,(int)te.getPreferredSize().getHeight()+4));
       te.setSize(te.getMinimumSize());
       te.setPreferredSize(te.getMinimumSize());
       p.add(te,BorderLayout.NORTH);

       final JTextArea ta = new JTextArea();
       ta.setEditable(false);
       JScrollPane sp = new JScrollPane(ta);
       sp.setMinimumSize(new Dimension(250,220));
       sp.setPreferredSize(sp.getMinimumSize());
       add(sp,BorderLayout.CENTER);

       JButton btn = new JButton("...");
       btn.addActionListener(new ActionListener(){
           public void actionPerformed(ActionEvent e) {
               JFileChooser fc = new JFileChooser();
               fc.setFileFilter(new FileFilter(){
                   @Override
                   public boolean accept(File f) {
                       if (f.isDirectory()) return true;
                       String s = f.getAbsolutePath();
                       return s.toLowerCase().endsWith("wfd");
                   }

                   @Override
                   public String getDescription() {
                       return "*.wfd|*.wfd";
                   }
               });
               if (fc.showOpenDialog(null)==JFileChooser.APPROVE_OPTION) {
                   StringBuffer sb = new StringBuffer();
                   te.setText(fc.getSelectedFile().getName());
                   WufiDataFactory wdf = new WufiDataFactory();

                   try {
                       IWufiData wd = wdf.getWufiData(fc.getSelectedFile());
                       IGrid g = wd.getGrid();
                       sb.append("Grid:\nx=(");
                       java.util.List<Float> l = g.getGridLayoutX();
                       for (int i=0; i<l.size()-1; i++) {
                           sb.append(l.get(i)).append(",");
                       }
                       sb.append(l.get(l.size()-1)).append(")\n");
                       sb.append("y=(");
                       l = g.getGridLayoutY();
                       for (int i=0; i<l.size()-1; i++) {
                           sb.append(l.get(i)).append(",");
                       }
                       sb.append(l.get(l.size()-1)).append(")\n");
                       ta.setText(sb.toString());
                   } catch (IOException e1) {
                       e1.printStackTrace();
                   }

               }
           }
       });
       p.add(btn,BorderLayout.EAST);

       add(p,BorderLayout.NORTH);

       JButton btn1 = new JButton("Close");
       btn1.addActionListener(new ActionListener(){
           public void actionPerformed(ActionEvent e) {
               System.exit(0);
           }
       });
       add(btn1, BorderLayout.SOUTH);
       pack();
   }

   public static void main(String[] args) {
         Gui gui = new Gui();
       gui.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       Rectangle r = gui.getBounds();
       Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
       r.translate((d.width-r.width)/2,(d.height-r.height)/2);
       gui.setBounds(r);
       gui.setVisible(true);

   }

}
