package main.core.data;

import main.core.data.dt.primitives.MyPoint;

import java.util.Date;
import java.util.Map;
import java.util.List;
import java.io.IOException;

/*
 * @author Pankratz
 * Date: 07.12.2005
 * Time: 10:22:47
 */

/**
 * $Id: ICalculationResult.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface ICalculationResult {
    public boolean reset() throws IOException;
    public boolean seek(int step) throws IOException;
    public boolean nextStep() throws IOException;    
    public boolean previousStep() throws IOException;
    public int getStep();
    public int getStepCount();
    public Date getStartDate();
    public Date getEndDate();
    public Date getCurrentDate();
    public List<Map<Enum,float[][]>> getResults();
    public IGrid getGrid();
    public List<MyPoint> getPositions();
}
