package main.core.data;

import main.core.data.dt.primitives.MyPoint;

import java.io.IOException;
import java.util.List;
import java.util.Map;
import java.util.Date;
import java.util.Set;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 12:58:02
 */

/**
 * $Id: IWufiData.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public interface IWufiData {
    public IOptions getOptions();
    public ICalculationInformation getCalcInfo();
    public IGrid getGrid();
    public List<IMaterial> getMaterials();
    public ICalculationResult getCalculationResults(Enum resultOption, Set<MyPoint> positions, Date startdate, Date enddate);
    public Date getResultElements(Enum resultOption, long step,MyPoint position, Map<Enum,float[][]> result) throws IOException;
    public String getName();
    public String getFileName();
    public boolean hasData();
}
