package main.core.data.dt;

import main.core.data.dt.primitives.MinMax;
import main.core.data.ICalculationInformation;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 13:36:19
 */

/**
 * $Id: CalculationInformation.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class CalculationInformation implements ICalculationInformation{
    private Date startDate;
    private Date endDate;
    private String wndName;
    private List<MinMax> minMax;
    private Map<Enum,Boolean> resultOptions;
    private Map<Enum,Boolean> parameter;

    public CalculationInformation(Date startDate,Date endDate, String wndName,Map<Enum,Boolean> resultOptions,Map<Enum,Boolean> parameter, List<MinMax> minMax) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.wndName = wndName;
        this.minMax = minMax;
        this.resultOptions = resultOptions;
        this.parameter = parameter;

    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate(){
        return endDate;
    }

    public String getWndName() {
        return wndName;
    }

    public List<MinMax> getMinMax() {
        return minMax;
    }

    public Map<Enum, Boolean> getResultOptions() {
        return new HashMap<Enum,Boolean>(resultOptions);
    }

    public Map<Enum, Boolean> getParameter() {
        return new HashMap<Enum,Boolean>(parameter);
    }
}
