package main.core.data.dt;

import main.core.data.IGridElement;
import main.core.data.IMaterial;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 15:57:04
 */

/**
 * $Id: GridElement.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class GridElement implements IGridElement{
    private IMaterial material;
    private float x,y;

    public GridElement(IMaterial material,float x,float y) {
        this.material = material;
        if(Math.abs(x) < Float.MIN_VALUE) x = 1;
        if(Math.abs(y) < Float.MIN_VALUE) y = 1;
        this.x = x;
        this.y = y;
    }

    public IMaterial getMaterial() {
        return material;
    }

    public double getVolume() {
        return x*y;
    }

    public float getX() {
        return x;
    }

    public float getY() {
        return y;
    }
}
