package main.core.data.dt;

import main.core.data.IMaterial;

import java.awt.*;

/*
 * @author Pankratz
 * Date: 30.11.2005
 * Time: 16:09:03
 */

/**
 * $Id: Material.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class Material implements IMaterial{
    private String name;
    private Color color;
    private float rho;
    private float w95;
    private float cap;
    private float dlamx;
    private float dlamy;
    private float zulmd;
    private float por;
    private float wf;
    private float wmax;
    private float tetai;
    private float rhi;
    private float[][] bltabx;
    private float[][] bltaby;
    private float[][] bmytabx;
    private float[][] bmytaby;
    private float[][] sortab;
    private float[][] fktabsx;
    private float[][] fktabsy;
    private float[][] fktabrx;
    private float[][] fktabry;

    public Material(String name, Color color, float rho, float w95, float cap, float dlamx, float dlamy, float zulmd, float por, float wf, float wmax, float tetai, float rhi, float[][] bltabx, float[][] bltaby, float[][] bmytabx, float[][] bmytaby, float[][] sortab, float[][] fktabsx, float[][] fktabsy, float[][] fktabrx, float[][] fktabry) {
        this.name = name;
        this.color = color;
        this.rho = rho;
        this.w95 = w95;
        this.cap = cap;
        this.dlamx = dlamx;
        this.dlamy = dlamy;
        this.zulmd = zulmd;
        this.por = por;
        this.wf = wf;
        this.wmax = wmax;
        this.tetai = tetai;
        this.rhi = rhi;
        this.bltabx = bltabx;
        this.bltaby = bltaby;
        this.bmytabx = bmytabx;
        this.bmytaby = bmytaby;
        this.sortab = sortab;
        this.fktabsx = fktabsx;
        this.fktabsy = fktabsy;
        this.fktabrx = fktabrx;
        this.fktabry = fktabry;
    }

    public String getName() {
        return name;
    }

    public Color getColor() {
        return color;
    }

    public float getRho() {
        return rho;
    }

    public float getW95() {
        return w95;
    }

    public float getCap() {
        return cap;
    }

    public float getDlamx() {
        return dlamx;
    }

    public float getDlamy() {
        return dlamy;
    }

    public float getZulmd() {
        return zulmd;
    }

    public float getPor() {
        return por;
    }

    public float getWf() {
        return wf;
    }

    public float getWmax() {
        return wmax;
    }

    public float getTetai() {
        return tetai;
    }

    public float getRhi() {
        return rhi;
    }

    public float[][] getBltabx() {
        return bltabx;
    }

    public float[][] getBltaby() {
        return bltaby;
    }

    public float[][] getBmytabx() {
        return bmytabx;
    }

    public float[][] getBmytaby() {
        return bmytaby;
    }

    public float[][] getSortab() {
        return sortab;
    }

    public float[][] getFktabsx() {
        return fktabsx;
    }

    public float[][] getFktabsy() {
        return fktabsy;
    }

    public float[][] getFktabrx() {
        return fktabrx;
    }

    public float[][] getFktabry() {
        return fktabry;
    }
}
