package main.core.data.dt.primitives;

/*
 * @author Pankratz
 * Date: 07.12.2005
 * Time: 12:44:14
 */

/**
 * $Id: MyPoint.java,v 1.2 2006/12/04 14:20:38 fpankratz Exp $
 */
public class MyPoint {
    private int xstart;
    private int ystart;
    private int xend;
    private int yend;

    public MyPoint(int xstart, int ystart, int xend, int yend) {
        if (xstart > xend || ystart > yend){
             throw new IllegalArgumentException("MyPoint has negive size");
        }
        this.xstart = xstart;
        this.ystart = ystart;
        this.xend = xend;
        this.yend = yend;



    }

    public static MyPoint getMyPoint(int xstart, int ystart, int witdh, int height) {
        return new MyPoint(xstart, ystart, xstart + witdh - 1, ystart + height - 1);
    }

    public static MyPoint getMyPoint(float xstart, float ystart, float witdh, float height) {
        int xs = Math.round(xstart);
        int xe = Math.round(xstart + witdh - 1);
        if( xe < xstart) xe = xs;
        int ys = Math.round(ystart);
        int ye = Math.round(ystart + height - 1);
        if( ye < ystart) ye = ys;
        return new MyPoint(xs, ys, xe, ye);
    }

    public int getXstart() {
        return xstart;
    }

    public int getYstart() {
        return ystart;
    }

    public int getXend() {
        return xend;
    }

    public int getYend() {
        return yend;
    }

    public int getXLength() {
        return xend - xstart + 1;
    }

    public int getYLength() {
        return yend - ystart + 1;
    }

    public int getVolume() {
        return getXLength() * getYLength();
    }

    public boolean contains(int x, int y) {
        boolean b1 = (x >= xstart) && (x <= xend);
        boolean b2 = (y >= ystart) && (y <= yend);
        return b1 && b2;
    }
  

    public boolean intersects(MyPoint p) {
        int x = p.getXstart();
        int xe = p.getXend();
        int y = p.getYstart();
        int ye = p.getYend();
        if (getVolume() == 0 || p.getVolume() == 0) {
            return false;
        }
        return (xe >= xstart &&
                ye >= ystart &&
                x <= xend &&
                y <= yend);
    }

    public String toString() {
        return "x-start:" + xstart + " x-end:" + xend + " y-start:" + ystart + " y-end:" + yend;
    }

    public boolean equals(Object obj) {
        if(!(obj instanceof MyPoint)) return false;
        MyPoint p = (MyPoint)obj;
        return xstart == p.xstart && xend == p.xend && ystart == p.ystart && yend == p.yend;
    }

    public int hashCode() {
        return xstart+ystart;
    }

}
