package main.core.data.factory;

import main.core.data.IWufiData;
import main.core.data.et.Wufi2DMovie;
import main.core.data.et.WufiNoFile;
import main.core.data.file.BEDataInput;
import main.core.data.file.IDataInput;
import main.core.data.file.LEDataInput;

import java.io.File;
import java.io.IOException;

/*
 * @author Pankratz
 * Date: 21.12.2005
 * Time: 10:11:49
 */

/**
 * $Id: WufiDataFactory.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class WufiDataFactory implements IWufiDataFactory {
    public IWufiData getWufiData(File file) throws IOException {
        if (file.exists()) {
            IDataInput di = new LEDataInput(file);
            short w1 = di.readShort();
            short w2 = di.readShort();
            // wenn nicht header.gerInfo dann zwei byte vor header f�r be le
            // 65226 48875
            if (w1 != -310 && w2 != -16661) {
                di.close();
                di = new BEDataInput(file);
                w1 = di.readShort();
                w2 = di.readShort();
                if (w1 != -310 && w2 != -16661) {
                    di.close();
                    di = new LEDataInput(file);
                }
            }

            return new Wufi2DMovie(di, file.getName(), file.getAbsolutePath());
        } else return new WufiNoFile(file.getName(),file.getAbsolutePath());

    }
}
