package main.core.data.file;

import java.io.IOException;
import java.io.RandomAccessFile;
import java.io.File;

/*
 * @author Pankratz
 * Date: 16.11.2005
 * Time: 15:29:03
 */

/**
 * $Id: BEDataInput.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class BEDataInput implements IDataInput{
    protected RandomAccessFile r;
    /**
     * constructor
     *
     * @param f
     *        file
     * @throws java.io.IOException
     */
    public BEDataInput( File f) throws IOException
    {
    r = new RandomAccessFile( f, "r");
    }

    /**
     * constructors
     *
     * @param f
     *        name of file
     * @throws IOException
     */
    public BEDataInput( String f) throws IOException
    {
    r = new RandomAccessFile( f,"r");
    }
    public void readFully(byte b[]) throws IOException {
        r.readFully(b);
    }

    public void readFully(byte b[], int off, int len) throws IOException {
        r.readFully(b,off,len);
    }

    public int skipBytes(int n) throws IOException {
        return r.skipBytes(n);
    }

    public boolean readBoolean() throws IOException {
        return r.readBoolean();
    }

    public byte readByte() throws IOException {
        return r.readByte();
    }

    public int readUnsignedByte() throws IOException {
        return r.readUnsignedByte();
    }

    public short readShort() throws IOException {
        return r.readShort();
    }

    public int readUnsignedShort() throws IOException {
        return r.readUnsignedShort();
    }

    public char readChar() throws IOException {
        return r.readChar();
    }

    public int readInt() throws IOException {
        return r.readInt();
    }

    public long readLong() throws IOException {
        return r.readLong();
    }

    public float readFloat() throws IOException {
        return r.readFloat();
    }

    public double readDouble() throws IOException {
        return r.readDouble();
    }

    public String readLine() throws IOException {
        return r.readLine();
    }

    public String readUTF() throws IOException {
        return r.readUTF();
    }

    public long length() throws IOException {
        return r.length();
    }

    public void seek(long pos) throws IOException {
        r.seek(pos);
    }

    public void close() throws IOException {
        r.close();
    }

    public long readCardinal() throws IOException {
        byte w[] = new byte[ 8 ];
        r.readFully( w, 0, 4 );
        return (long) ( w[ 0 ] & 0xff ) << 56
            | /* long cast necessary or shift done modulo 32 */
            (long) ( w[ 1 ] & 0xff ) << 48
            | (long) ( w[ 2 ] & 0xff ) << 40
            | (long) ( w[ 3 ] & 0xff ) << 32
            | (long) ( 0x00 ) << 24
            | (long) ( 0x00 ) << 16
            | (long) ( 0x00 ) << 8
            | (long) ( 0x00 );
    }

    public String readPascalString(int size) throws IOException {
        byte chars = r.readByte();
        StringBuffer b = new StringBuffer();
        for (int i = 0; (i < size) || (i < chars); i++) {
            b.append((char) r.readByte());
        }
        r.skipBytes(size - chars);
        b.trimToSize();
        return b.toString();
    }

    public String readCharString(int size) throws IOException {
        StringBuffer b = new StringBuffer();
        for (int i = 0; i < size; i++) {
            b.append((char) r.readByte());
        }
        b.trimToSize();
        return b.toString();
    }

    public long getFilePointer() throws IOException {
        return r.getFilePointer();
    }

    public IArrayInput readArray(int length) {
        return null;
    }

    public float[][] readFortranFloatArray(int dimx, int dimy) throws IOException {
        return new float[0][];
    }

    public IArrayInput readFortranFloatArray(int count) throws IOException {
        return null;
    }
}
