package main.core.data.uc;

import main.core.data.factory.IWufiDataFactory;
import main.core.data.IFileManager;
import main.core.data.IWufiData;
import main.core.data.et.WufiNoFile;

import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.io.IOException;

/*
 * @author Pankratz
 * Date: 07.02.2006
 * Time: 16:51:20
 */

/**
 * $Id: FileManager.java,v 1.1 2006/09/22 13:25:25 fpankratz Exp $
 */
public class FileManager implements IFileManager{
    private IWufiDataFactory factory;
    private List<IWufiData> files;

    public FileManager(IWufiDataFactory factory) {
        this.factory = factory;
        files = new ArrayList<IWufiData>();
    }

    public IWufiData addFile(String file) throws IOException {
        for (int i = 0; i < files.size(); i++) {
            IWufiData data = files.get(i);
            if(data.getFileName().equals(file)) return data;
        }
        IWufiData data = factory.getWufiData(new File(file));
        files.add(data);
        return data;
    }

    public void removeFile(IWufiData file) {
        files.remove(file);
    }

    public List<IWufiData> getFiles() {
        return files;
    }

    public void clearFiles() {
        files.clear();
    }

    public IWufiData addFile(Map<String, Object> data) {
        IWufiData wdata = new WufiNoFile(data);
        files.add(wdata);
        return wdata;
    }
}
